﻿using System.Collections.Generic;
using System.Linq;
using System.Xml.Linq;

namespace ForGet
{
    public static class XElementExtensions
    {
        public static IEnumerable<XElement> ElementsLocalName<T>(this T source, string localName)
            where T : XContainer
        {
            return source.Elements().Where(e => e.Name.LocalName == localName);
        }

        public static XElement ElementLocalName<T>(this T source, string localName)
            where T : XContainer
        {
            return source.Elements().Single(e => e.Name.LocalName == localName);
        }
    }
}
